Get Flow

get

/rpa/v1/flows/{identifier}/{version}

Gets a Flow by identifier.

Request

Path Parameters
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Retrieves the Flow with the given id
Headers
  • For optimistic concurrency control. See `if-match`.
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Flow
Type: object
Details of Flow.
Show Source
Nested Schema : connectionIdentifiers
Type: array
List connection Identifiers.
Show Source
Nested Schema : errors
Type: array
List of errors associated with the flow definition.
Show Source
Nested Schema : flowProperties
Type: object
Additional Properties Allowed
Show Source
  • Minimum Length: 0
    Maximum Length: 1024
Map for the Flow Properties
Example:
{
    "adminEmail":"joseFeliciano@mycompany.net",
    "primaryLanguage":"sp"
}
Nested Schema : FlowDefinitionError
Type: object
Represent an error associated with the flow definition.
Show Source
Nested Schema : Locator
Type: object
Represents the locator for a node which threw the error
Show Source

400 Response

Bad Request
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

401 Response

Unauthorized
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

404 Response

Not Found
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

429 Response

Too Many Requests
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

500 Response

Internal Server Error
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

Default Response

Unknown Error
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source
Back to Top